Debian Bug report logs - #674467
opus: Please add multiarch support.

version graph

Package: src:opus; Maintainer for src:opus is Ron Lee <ron@debian.org>;

Reported by: Miguel A. Colón Vélez <debian.micove@gmail.com>

Date: Thu, 24 May 2012 21:00:02 UTC

Severity: important

Tags: patch

Merged with 716807

Found in versions opus/1.1~beta-3, opus/1.1~beta-4., opus/0.9.14+20120521-2, opus/1.1~alpha+20130512-1

Fixed in versions opus/1.1-1, 1.1-1

Done: Samuel Bronson <naesten@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 24 May 2012 21:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. (Thu, 24 May 2012 21:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel A. Colón Vélez <debian.micove@gmail.com>
To: submit@bugs.debian.org
Subject: opus: Please add multiarch support.
Date: Thu, 24 May 2012 16:56:08 -0400
Source: opus
Version: 0.9.14+20120521-2
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

Hello:

Please make this package compatible with multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

More info: http://wiki.debian.org/ReleaseGoals/MultiArch

Thanks,
Miguel




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Wed, 10 Oct 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Ritchie <scottritchie@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 10 Oct 2012 19:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 674467@bugs.debian.org (full text, mbox):

From: Scott Ritchie <scottritchie@ubuntu.com>
To: 674467@bugs.debian.org
Subject: Ubuntu version now supports multiarch
Date: Wed, 10 Oct 2012 11:54:59 -0700
Hi, I managed to migrate the packaging to debhelper 9 and multiarch. 
The Ubuntu version currently has it, however it's version 1.0.1.  Would 
you be interested in those changes, or just a patch to transition to 
debhelper 9 / multiarch but keep it at the current upstream version?

Thanks,
Scott Ritchie



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 11 Feb 2013 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 11 Feb 2013 17:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 674467@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: opus@xiph.org
Cc: 674467@bugs.debian.org
Subject: Opus codec in Debian?
Date: Mon, 11 Feb 2013 18:42:00 +0100

Debian is preparing to release Debian 7, which will be the `stable'
version of Debian for the next 2 years

It includes 0.9.14
http://packages.debian.org/wheezy/libopus0

Looking here:
http://www.opus-codec.org/downloads/older.shtml.en

I notice the comment "This version matches version -14 of the draft" -
it is not clear to me that 0.9.14 is the same bitstream format that is
finally in the RFC.

Can anybody comment on this?  Will users of 0.9.14 have compatibility
issues?




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 12 Feb 2013 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 12 Feb 2013 03:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Daniel Pocock <daniel@pocock.com.au>, 674467@bugs.debian.org
Cc: opus@xiph.org
Subject: Re: Bug#674467: Opus codec in Debian?
Date: Tue, 12 Feb 2013 14:13:29 +1030
On Mon, Feb 11, 2013 at 06:42:00PM +0100, Daniel Pocock wrote:
> Debian is preparing to release Debian 7, which will be the `stable'
> version of Debian for the next 2 years

I'd heard something about that ...

> It includes 0.9.14
> http://packages.debian.org/wheezy/libopus0
> 
> Looking here:
> http://www.opus-codec.org/downloads/older.shtml.en
> 
> I notice the comment "This version matches version -14 of the draft" -
> it is not clear to me that 0.9.14 is the same bitstream format that is
> finally in the RFC.
> 
> Can anybody comment on this?  Will users of 0.9.14 have compatibility
> issues?

Yes.  No.

Why did you send this to a bug report about multi-arch support?

  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 12 Feb 2013 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 12 Feb 2013 06:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 674467@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Ron <ron@debian.org>
Cc: 674467@bugs.debian.org, opus@xiph.org
Subject: Re: Bug#674467: Opus codec in Debian?
Date: Tue, 12 Feb 2013 07:45:34 +0100

On 12/02/13 04:43, Ron wrote:
> On Mon, Feb 11, 2013 at 06:42:00PM +0100, Daniel Pocock wrote:
>> Debian is preparing to release Debian 7, which will be the `stable'
>> version of Debian for the next 2 years
> 
> I'd heard something about that ...
> 
>> It includes 0.9.14
>> http://packages.debian.org/wheezy/libopus0
>>
>> Looking here:
>> http://www.opus-codec.org/downloads/older.shtml.en
>>
>> I notice the comment "This version matches version -14 of the draft" -
>> it is not clear to me that 0.9.14 is the same bitstream format that is
>> finally in the RFC.
>>
>> Can anybody comment on this?  Will users of 0.9.14 have compatibility
>> issues?
> 
> Yes.  No.
> 
> Why did you send this to a bug report about multi-arch support?
> 
In the bug report, you asked about whether 1.0 needed to be packaged for
wheezy, so I just thought this would help answer that question.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Fri, 01 Mar 2013 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 01 Mar 2013 23:03:04 GMT) Full text and rfc822 format available.

Message #30 received at 674467@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: 674467@bugs.debian.org
Subject: opus: Please add multiarch support
Date: Fri, 01 Mar 2013 23:58:55 +0100
[Message part 1 (text/plain, inline)]
Hi,

attached a patch that enables mutiarch. It converts to a short-form
debhelper 9 for that. The patch also fixes the missing ${misc:Depends}
and uses 3.0 (quilt) as source format. Please include this patch in your
next upload to experimental (when packaging the 1.0.2 release). Please
let me know if you want a stripped down version of the patch.

-- 
Benjamin Drung
Debian & Ubuntu Developer
[multiarch.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, achim_schaefer@gmx.de, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 23 Jun 2013 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Achim Schaefer <achim_schaefer@gmx.de>:
Extra info received and forwarded to list. Copy sent to achim_schaefer@gmx.de, Ron Lee <ron@debian.org>. (Sun, 23 Jun 2013 06:33:04 GMT) Full text and rfc822 format available.

Message #35 received at 674467@bugs.debian.org (full text, mbox):

From: Achim Schaefer <achim_schaefer@gmx.de>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Sun, 23 Jun 2013 08:30:02 +0200
Package: libopus0
Version: 1.1~alpha+20130512-1
Followup-For: Bug #674467

Dear Maintainer,

now I can not install the latest jack2 version, because I have both the amd64 and the i386 version installed.
Both depend on libopus0, and so I can not upgrade any more.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages libopus0 depends on:
ii  libc6  2.17-5

libopus0 recommends no packages.

Versions of packages libopus0 suggests:
pn  opus-tools  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 30 Jun 2013 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Hughes <john@calva.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 30 Jun 2013 09:09:04 GMT) Full text and rfc822 format available.

Message #40 received at 674467@bugs.debian.org (full text, mbox):

From: John Hughes <john@calva.com>
To: 674467@bugs.debian.org
Subject: Lack of multiarch libopus0 prevents us from having sound from 32 bit wine on amd64
Date: Sun, 30 Jun 2013 10:59:09 +0200
Ruins my debian gaming experience :-(

Also looks like it'll cause problems for steam

https://github.com/ValveSoftware/steam-for-linux/issues/801

#  aptitude install libasound2-plugins:i386
The following NEW packages will be installed:
  libasound2-plugins:i386 libasyncns0:i386{a} libattr1:i386{a}
  libavcodec53:i386{a} libavutil51:i386{a} libcap2:i386{a}
  libdirac-encoder0:i386{a} libflac8:i386{a} libjack-jackd2-0:i386{a}
  libjson-c2:i386{a} libmp3lame0:i386{a} libogg0:i386{a}
  libopenjpeg2:i386{a} libopus0:i386{ab} liborc-0.4-0:i386{a}
  libpulse0:i386{a} libsamplerate0:i386{a} libschroedinger-1.0-0:i386{a}
  libsndfile1:i386{a} libspeex1:i386{a} libspeexdsp1:i386{a}
  libtheora0:i386{a} libva1:i386{a} libvorbis0a:i386{a}
  libvorbisenc2:i386{a} libvpx1:i386{a} libwrap0:i386{a}
  libx264-123:i386{a} libxtst6:i386{a} libxvidcore4:i386{a}
0 packages upgraded, 30 newly installed, 0 to remove and 0 not upgraded.
Need to get 9,133 kB/9,554 kB of archives. After unpacking 31.2 MB will 
be used.
The following packages have unmet dependencies:
 libopus0 : Conflicts: libopus0:i386 but 1.1~alpha+20130512-1 is to be 
installed.
 libopus0:i386 : Conflicts: libopus0 but 1.1~alpha+20130512-1 is installed.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
The following actions will resolve these dependencies:

      Remove the following packages:
#  aptitude install libasound2-plugins:i386
The following NEW packages will be installed:
  libasound2-plugins:i386 libasyncns0:i386{a} libattr1:i386{a}
  libavcodec53:i386{a} libavutil51:i386{a} libcap2:i386{a}
  libdirac-encoder0:i386{a} libflac8:i386{a} libjack-jackd2-0:i386{a}
  libjson-c2:i386{a} libmp3lame0:i386{a} libogg0:i386{a}
  libopenjpeg2:i386{a} libopus0:i386{ab} liborc-0.4-0:i386{a}
  libpulse0:i386{a} libsamplerate0:i386{a} libschroedinger-1.0-0:i386{a}
  libsndfile1:i386{a} libspeex1:i386{a} libspeexdsp1:i386{a}
  libtheora0:i386{a} libva1:i386{a} libvorbis0a:i386{a}
  libvorbisenc2:i386{a} libvpx1:i386{a} libwrap0:i386{a}
  libx264-123:i386{a} libxtst6:i386{a} libxvidcore4:i386{a}
0 packages upgraded, 30 newly installed, 0 to remove and 0 not upgraded.
Need to get 9,133 kB/9,554 kB of archives. After unpacking 31.2 MB will 
be used.
The following packages have unmet dependencies:
 libopus0 : Conflicts: libopus0:i386 but 1.1~alpha+20130512-1 is to be 
installed.
 libopus0:i386 : Conflicts: libopus0 but 1.1~alpha+20130512-1 is installed.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
The following actions will resolve these dependencies:

      Remove the following packages:
1) acetoneiso
2) cheese
3) empathy
4)      gnome                  ...





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 30 Jun 2013 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Hughes <john@calva.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 30 Jun 2013 11:00:05 GMT) Full text and rfc822 format available.

Message #45 received at 674467@bugs.debian.org (full text, mbox):

From: John Hughes <john@calva.com>
To: 674467@bugs.debian.org
Subject: Patch to enable multiarch support
Date: Sun, 30 Jun 2013 12:57:25 +0200
[Message part 1 (text/plain, inline)]
Here's the patch I made (based on one from Benjamin Drung) that makes 
multiarch work for me.

Once again I can hear the sounds in my games.


[multiarch.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Wed, 03 Jul 2013 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 03 Jul 2013 10:42:04 GMT) Full text and rfc822 format available.

Message #50 received at 674467@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 674467@bugs.debian.org
Subject: opus: Please add multiarch support
Date: Wed, 03 Jul 2013 12:39:18 +0200
Hi,

this is not just about games. With libasound2-plugins depending on jack,
and jack depending on opus, opus now breaks sound for all ALSA-using
applications of a foreign architecture on systems using PulseAudio.
That's a fairly common configuration.

Kind regards
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 04 Jul 2013 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 04 Jul 2013 00:15:04 GMT) Full text and rfc822 format available.

Message #55 received at 674467@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Ralf Jung <post@ralfj.de>, 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support
Date: Thu, 4 Jul 2013 01:11:53 +0100
On Wed, Jul 03, 2013 at 12:39:18PM +0200, Ralf Jung wrote:
> Hi,
> 
> this is not just about games. With libasound2-plugins depending on jack,
> and jack depending on opus, opus now breaks sound for all ALSA-using
> applications of a foreign architecture on systems using PulseAudio.
> That's a fairly common configuration.

I just got bitten by this - something's just migrated to testing
(perhaps libjack-jackd2-0:i386) which depended on libopus0:i386, while
I already have libopus0:amd64 installed, and this caused a conflict.
I can confirm that rebuilding with the most recent patch in this bug
report allowed the concurrent installation of both the amd64 and i386
packages, alleviating these issues.

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, tomman@tsdx.net.ve, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Fri, 05 Jul 2013 04:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Maneiro <tomman@tsdx.net.ve>:
Extra info received and forwarded to list. Copy sent to tomman@tsdx.net.ve, Ron Lee <ron@debian.org>. (Fri, 05 Jul 2013 04:39:05 GMT) Full text and rfc822 format available.

Message #60 received at 674467@bugs.debian.org (full text, mbox):

From: Tom Maneiro <tomman@tsdx.net.ve>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Fri, 05 Jul 2013 00:04:46 -0430
Package: libopus0
Version: 1.1~alpha+20130512-1
Followup-For: Bug #674467

Same here - and I've figured out what was wrong the hard way (luckily I was
able to put jackd and friends on hold). And it's not only Steam, but a bunch of
older games (think: emulators) and some odd audio software that won't build on
AMD64 for no good reason.

I'll try the patch, but for now I think that I will put that couple of packages
on hold for a while.

(Also: why jackd links to Opus? Can anyone explain to me the dependency?)



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_VE.UTF-8, LC_CTYPE=es_VE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libopus0 depends on:
ii  libc6  2.17-6

libopus0 recommends no packages.

Versions of packages libopus0 suggests:
ii  opus-tools  0.1.2-1

-- no debconf information



Added indication that 674467 affects libjack-jackd2-0 and libasound2-plugins Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Sun, 07 Jul 2013 19:03:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Sun, 07 Jul 2013 19:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, justinreeves.tch@gmail.com, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 08 Jul 2013 03:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin Reeves <justinreeves.tch@gmail.com>:
Extra info received and forwarded to list. Copy sent to justinreeves.tch@gmail.com, Ron Lee <ron@debian.org>. (Mon, 08 Jul 2013 03:39:05 GMT) Full text and rfc822 format available.

Message #69 received at 674467@bugs.debian.org (full text, mbox):

From: Justin Reeves <justinreeves.tch@gmail.com>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Sun, 07 Jul 2013 23:34:22 -0400
Package: libopus0
Version: 1.1~alpha+20130512-1
Followup-For: Bug #674467

Dear Maintainer,
I too ran into this issue.  libasound2-plugins:i386 is required by some
older applications I enjoy, and it's currently blocked because:
libasound2-plugins deps on
libjack-jackd2-0 (1.9.9.5+20130622git7de15e7a-1) which deps on
libopus0 which doesn't support multiarch
Please add multiarch support.

Thank you for your time.

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libopus0 depends on:
ii  libc6  2.17-7

libopus0 recommends no packages.

Versions of packages libopus0 suggests:
pn  opus-tools  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, barabba@mmbarabba.it, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 08 Jul 2013 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to barabba <barabba@mmbarabba.it>:
Extra info received and forwarded to list. Copy sent to barabba@mmbarabba.it, Ron Lee <ron@debian.org>. (Mon, 08 Jul 2013 23:27:05 GMT) Full text and rfc822 format available.

Message #74 received at 674467@bugs.debian.org (full text, mbox):

From: barabba <barabba@mmbarabba.it>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Tue, 09 Jul 2013 01:25:46 +0200
Package: opus
Followup-For: Bug #674467

Dear Maintainer,

same problem for me

# aptitude full-upgrade
The following NEW packages will be installed:
  libopus0:i386{ab}
The following packages will be upgraded:
  jackd2 jackd2-firewire libjack-jackd2-0 libjack-jackd2-0:i386
4 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,410 kB of archives. After unpacking 387 kB will be used.
The following packages have unmet dependencies:
 libopus0 : Conflicts: libopus0:i386 but 1.1~alpha+20130512-1 is to be
installed.
 libopus0:i386 : Conflicts: libopus0 but 1.1~alpha+20130512-1 is installed.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     google-earth-stable
2)     ia32-libs
3)     ia32-libs-gtk
4)     ia32-libs-i386:i386
5)     libjack-jackd2-0:i386

     Keep the following packages at their current version:
6)     libopus0:i386 [Not Installed]

i don't try the patch now ,but if necessary in a few days meybe



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (200, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-9.dmz.1-liquorix-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Added tag(s) patch. Request was from Cord Beermann <cord@weyoun.cord.de> to control@bugs.debian.org. (Tue, 09 Jul 2013 09:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Fri, 12 Jul 2013 08:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 12 Jul 2013 08:27:12 GMT) Full text and rfc822 format available.

Message #81 received at 674467@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 674467@bugs.debian.org
Subject: [PATCH] minimal multiarch support patch
Date: Fri, 12 Jul 2013 10:23:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

attached there is a patch providing only the multiarch changes on top of 
current opus 1.1~alpha+20130512-1: change the libdir to a multiarch 
location, and add the control headers for libopus0.

Thanks,
-- 
Pino Toscano
[opus-multiarch.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 13 Jul 2013 07:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 13 Jul 2013 07:21:09 GMT) Full text and rfc822 format available.

Message #86 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Pino Toscano <pino@debian.org>, 674467@bugs.debian.org
Subject: Re: Bug#674467: [PATCH] minimal multiarch support patch
Date: Sat, 13 Jul 2013 16:39:46 +0930
Thanks Pino,

I'm glad that _somebody_ understands you don't need to completely repackage
things in a totally different form to do this :)

The catch right now though, is not that I didn't know how to do this, it's
that we're riding an 'unofficial' snapshot release, and I'd like to keep
the bar low for people to update their backports at least until we get one
that's less important for them to update as updates come.  That should be
the 1.1 formal release, which should be Coming Soon.

  Cheers,
  Ron


On Fri, Jul 12, 2013 at 10:23:06AM +0200, Pino Toscano wrote:
> Hi,
> 
> attached there is a patch providing only the multiarch changes on top of 
> current opus 1.1~alpha+20130512-1: change the libdir to a multiarch 
> location, and add the control headers for libopus0.
> 
> Thanks,
> -- 
> Pino Toscano




Merged 674467 716807 Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. (Wed, 24 Jul 2013 16:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 25 Jul 2013 04:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Greenhoe <ian@ihgreenman.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 25 Jul 2013 04:12:05 GMT) Full text and rfc822 format available.

Message #93 received at 674467@bugs.debian.org (full text, mbox):

From: Ian Greenhoe <ian@ihgreenman.com>
To: 674467@bugs.debian.org
Subject: Audio RSN?
Date: Wed, 24 Jul 2013 23:44:34 -0400
Hi Ron,

I'd like to chime in to the voices that are saying "please fix this".

I have to say that it's not really OK to leave it at "I know it's broken, we'll fix this RSN" -- when it's been RSN since March of this year! Even if we have a temporary patch that fixes the situation, and then it gets (temporarily) re-broken when the 1.1 update comes out... that's still better than what we have now.

Thank you from a loyal Debian user,
-Ian




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 29 Jul 2013 18:24:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Martitz <thomas.martitz@student.htw-berlin.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 29 Jul 2013 18:24:31 GMT) Full text and rfc822 format available.

Message #98 received at 674467@bugs.debian.org (full text, mbox):

From: Thomas Martitz <thomas.martitz@student.htw-berlin.de>
To: 674467@bugs.debian.org
Subject: opus: Please add multiarch support.
Date: Mon, 29 Jul 2013 19:41:11 +0200
I'd like to add that I would like this to be fixed.

Among the mentioned problems it breaks Skype on pulseaudio because 
libasound2-plugins:i386 is not installable.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 10 Aug 2013 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to michele mazza <michele.mazza@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Aug 2013 08:39:04 GMT) Full text and rfc822 format available.

Message #103 received at 674467@bugs.debian.org (full text, mbox):

From: michele mazza <michele.mazza@gmail.com>
To: 674467@bugs.debian.org
Subject: opus: Please add multiarch support.
Date: Sat, 10 Aug 2013 10:35:28 +0200
I wish this was fixed too.

It's currently holding back 121 packages on my system.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 10 Aug 2013 13:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Marchiori <carlo.marchiori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Aug 2013 13:33:12 GMT) Full text and rfc822 format available.

Message #108 received at 674467@bugs.debian.org (full text, mbox):

From: Carlo Marchiori <carlo.marchiori@gmail.com>
To: 674467@bugs.debian.org
Subject: please fix this
Date: Sat, 10 Aug 2013 15:29:08 +0200
[Message part 1 (text/plain, inline)]
Please fix this bug, libasound2-plugins can't be installed because of this,
and this stirs problems playing wine:i386 on my 64 bit laptop.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 12 Aug 2013 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ernesto Domato <edomat@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 12 Aug 2013 17:03:04 GMT) Full text and rfc822 format available.

Message #113 received at 674467@bugs.debian.org (full text, mbox):

From: Ernesto Domato <edomat@gmail.com>
To: 674467@bugs.debian.org
Subject: Please fix this issue
Date: Mon, 12 Aug 2013 13:59:19 -0300
I also wish this issue to be fixed soon.

Thanks for all.

Ernesto



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 12 Aug 2013 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "carnotan@gmail.com" <carnotan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 12 Aug 2013 22:09:04 GMT) Full text and rfc822 format available.

Message #118 received at 674467@bugs.debian.org (full text, mbox):

From: "carnotan@gmail.com" <carnotan@gmail.com>
To: 674467@bugs.debian.org
Subject: Please add multiarch support.
Date: Tue, 13 Aug 2013 00:05:31 +0200
[Message part 1 (text/plain, inline)]
Dear mantainer:

I would like to add myself to the voices that ask this to be fixed. It's
really not ok to leave it the way it's right now. This bug completely
breaks multiarch sound on 64 bit systems and that should be fixed asap,
specially when it has been fixed in other systems ... since September 2012
!!! https://bugs.launchpad.net/ubuntu/+source/opus/+bug/1056365

Also, the patch made by Pino Toscano can be applied directly to the opus
source. With pbuilder the packages can easily be built, so I suggest
everybody to give it a try. It's working nicely on my system.  Thanks Pino
:)

Iván Lago.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 25 Aug 2013 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Martitz <thomas.martitz@student.htw-berlin.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 25 Aug 2013 11:09:04 GMT) Full text and rfc822 format available.

Message #123 received at 674467@bugs.debian.org (full text, mbox):

From: Thomas Martitz <thomas.martitz@student.htw-berlin.de>
To: 674467@bugs.debian.org
Subject: Please add multiarch support.
Date: Sun, 25 Aug 2013 13:06:37 +0200
I don't understand why this is taking so long to resolve, it's really 
critical to Debian's multi-arch support.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 26 Aug 2013 06:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gozali Kumara <ghk@gozalikumara.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 26 Aug 2013 06:00:04 GMT) Full text and rfc822 format available.

Message #128 received at 674467@bugs.debian.org (full text, mbox):

From: Gozali Kumara <ghk@gozalikumara.com>
To: 674467@bugs.debian.org
Subject: Re: opus: Please add multiarch support.
Date: Mon, 26 Aug 2013 13:57:23 +0800
[Message part 1 (text/plain, inline)]
Dear Maintainer,

I would also like to add voices on fixing this. Right now, every Jessie
user that needs pulseaudio on multiarch must patch it with Pino's patch and
build it themselves.


Regards,
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 26 Aug 2013 22:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gardner <gardnermj@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 26 Aug 2013 22:21:10 GMT) Full text and rfc822 format available.

Message #133 received at 674467@bugs.debian.org (full text, mbox):

From: Michael Gardner <gardnermj@gmail.com>
To: 674467@bugs.debian.org
Subject: Re: opus: Please add multiarch support.
Date: Mon, 26 Aug 2013 17:19:03 -0500
Ron, what's your basis for stating that Opus 1.1 "should be Coming Soon"? I know there's a beta, but I don't see anything from Xiph about when the full release will be.


Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Fri, 06 Sep 2013 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Radionov <stradionov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 06 Sep 2013 19:15:05 GMT) Full text and rfc822 format available.


Message #138 received at 674467@bugs.debian.org (full text, mbox):

From: Stanislav Radionov <stradionov@gmail.com>
To: 674467@bugs.debian.org
Date: Fri, 06 Sep 2013 23:10:12 +0400
Dear maintainer, I would like to add my voice on fixing this bug. Skype 
is highly unstable without libasound2-plugins:i386, which can't be 
installed now.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 10 Sep 2013 08:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucio Crusca <lucio@sulweb.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 10 Sep 2013 08:39:17 GMT) Full text and rfc822 format available.

Message #143 received at 674467@bugs.debian.org (full text, mbox):

From: Lucio Crusca <lucio@sulweb.org>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Tue, 10 Sep 2013 10:31:51 +0200
Package: src:opus
Followup-For: Bug #674467

Besides joining the voices myself, I'm here to ask for help applying the Pino
Toscano patch.

The debian-user list hasn't proven useful in this case, but there you can find
the description of my problem:

http://lists.debian.org/debian-user/2013/09/msg00449.html

What am I supposed to do in order to apply the patch and compile the
package?


-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (998, 'testing'), (994, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 10 Sep 2013 18:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gozali Kumara <ghk@gozalikumara.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 10 Sep 2013 18:06:05 GMT) Full text and rfc822 format available.

Message #148 received at 674467@bugs.debian.org (full text, mbox):

From: Gozali Kumara <ghk@gozalikumara.com>
To: 674467@bugs.debian.org
Subject: Re: opus: Please add multiarch support.
Date: Wed, 11 Sep 2013 02:01:21 +0800
Hello Lucio,

This will not help at all. I have the some problem with you when 
compiling for multiarch, but I have a i386 jessie virtual machine ready, 
so I didn't bother to find the multiarch solution and just built on that VM.



Information forwarded to debian-bugs-dist@lists.debian.org, lucio@sulweb.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 14 Sep 2013 14:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Lebbing <peter@digitalbrains.com>:
Extra info received and forwarded to list. Copy sent to lucio@sulweb.org, Ron Lee <ron@debian.org>. (Sat, 14 Sep 2013 14:51:10 GMT) Full text and rfc822 format available.

Message #153 received at 674467@bugs.debian.org (full text, mbox):

From: Peter Lebbing <peter@digitalbrains.com>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Sat, 14 Sep 2013 16:48:08 +0200
Package: src:opus
Followup-For: Bug #674467

I wrote mainly to help Lucio and others building this. But I really want
to add my "Me too", because this is a real pain with i386 audio
dependencies! Dear Ron, please don't stay silent on this issue.  It has
been going on for a very long time now! The bug was initially reported
almost one and a half year ago. What is there against applying the small
patch? I don't understand your reasoning about backports or new
versions, as this issue seems orthogonal to me.

...

Hello Lucio,

I got it working as follows with the pbuilder hint you got at debian-user:

# is as root, $ is as regular user. Replace <you> by your username in
the sudoers file. I removed the sudoers entry afterwards, as I'm overly
cautious :).

# aptitude install pbuilder
# pbuilder --create --distribution jessie --architecture i386
# visudo
  Add the following:
  <you> ALL=(ALL) SETENV: /usr/sbin/pbuilder, /usr/bin/pdebuild, /usr/bin/debuild-pbuilder

$ cd src/debian/
$ apt-get source opus
$ cd opus-1.1~beta/
$ patch -p1 <../opus-multiarch.diff
  (obviously I downloaded it there. It succeeds with fuzz)
$ pdebuild --architecture i386
[...]

Result is in /var/cache/pbuilder/result/

You will also need to do a regular amd64 build with dpkg-buildpackage.

HTH,

Peter.

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'stable-updates'), (500, 'oldstable'), (100, 'unstable'), (100, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 21 Sep 2013 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 21 Sep 2013 23:48:04 GMT) Full text and rfc822 format available.

Message #158 received at 674467@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Peter Lebbing <peter@digitalbrains.com>, 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 00:45:12 +0100
On Sat, Sep 14, 2013 at 04:48:08PM +0200, Peter Lebbing wrote:
> Package: src:opus
> Followup-For: Bug #674467
> 
> I wrote mainly to help Lucio and others building this. But I really want
> to add my "Me too", because this is a real pain with i386 audio
> dependencies! Dear Ron, please don't stay silent on this issue.  It has
> been going on for a very long time now! The bug was initially reported
> almost one and a half year ago. What is there against applying the small
> patch? I don't understand your reasoning about backports or new
> versions, as this issue seems orthogonal to me.

<me too>

I'm perfectly happy to upload a version with (only) Pino's patch to
unstable so that people don't have to continue building their own
versions.  I have a version ready, and could upload it to one of the
delayed queues.

Ron - would you have any objections to this?

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 02:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dparsons@debian.org:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 02:57:05 GMT) Full text and rfc822 format available.

Message #163 received at 674467@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: 674467@bugs.debian.org
Cc: Julian Gilbey <jdg@debian.org>
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 12:52:18 +1000
Julian Gilbey wrote:
> On Sat, Sep 14, 2013 at 04:48:08PM +0200, Peter Lebbing wrote:
> > 
> > I wrote mainly to help Lucio and others building this. But I really want
> > to add my "Me too", because this is a real pain with i386 audio
...
> <me too>
> 
> I'm perfectly happy to upload a version with (only) Pino's patch to
> unstable so that people don't have to continue building their own
> versions.  I have a version ready, and could upload it to one of the
> delayed queues.
> 
> Ron - would you have any objections to this?
> 
>    Julian


Certainly no objection from the rest of us...  please go ahead.

Drew






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 11:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 11:27:09 GMT) Full text and rfc822 format available.

Message #168 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Julian Gilbey <jdg@debian.org>, 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 20:42:47 +0930
Hi Julian,

On Sun, Sep 22, 2013 at 12:45:12AM +0100, Julian Gilbey wrote:
> On Sat, Sep 14, 2013 at 04:48:08PM +0200, Peter Lebbing wrote:
> > Package: src:opus
> > Followup-For: Bug #674467
> > 
> > I wrote mainly to help Lucio and others building this. But I really want
> > to add my "Me too", because this is a real pain with i386 audio
> > dependencies! Dear Ron, please don't stay silent on this issue.  It has
> > been going on for a very long time now! The bug was initially reported
> > almost one and a half year ago. What is there against applying the small
> > patch? I don't understand your reasoning about backports or new
> > versions, as this issue seems orthogonal to me.
> 
> <me too>
> 
> I'm perfectly happy to upload a version with (only) Pino's patch to
> unstable so that people don't have to continue building their own
> versions.  I have a version ready, and could upload it to one of the
> delayed queues.
> 
> Ron - would you have any objections to this?

Yes, I do, for the same reason I've already said in this bug report.

Nobody talked to me about whether this package was ready for a m-a
transition before creating this mess - or I'd have told them the same
thing.  Please wait until we have a stable release out.

Right now, it's more important that developers be able to backport
updates to it trivially, than for people to be able to run non-free
stuff in sid.

If you want stable m-a, use stable.  Or use a chroot.


This will be fixed once we have a formal stable release version out.

  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 11:54:04 GMT) Full text and rfc822 format available.

Message #173 received at 674467@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Ron <ron@debian.org>
Cc: 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 12:51:52 +0100
On Sun, Sep 22, 2013 at 08:42:47PM +0930, Ron wrote:
> 
> Hi Julian,
> 
> On Sun, Sep 22, 2013 at 12:45:12AM +0100, Julian Gilbey wrote:
> > On Sat, Sep 14, 2013 at 04:48:08PM +0200, Peter Lebbing wrote:
> > > Package: src:opus
> > > Followup-For: Bug #674467
> > > 
> > > I wrote mainly to help Lucio and others building this. But I really want
> > > to add my "Me too", because this is a real pain with i386 audio
> > > dependencies! Dear Ron, please don't stay silent on this issue.  It has
> > > been going on for a very long time now! The bug was initially reported
> > > almost one and a half year ago. What is there against applying the small
> > > patch? I don't understand your reasoning about backports or new
> > > versions, as this issue seems orthogonal to me.
> > 
> > <me too>
> > 
> > I'm perfectly happy to upload a version with (only) Pino's patch to
> > unstable so that people don't have to continue building their own
> > versions.  I have a version ready, and could upload it to one of the
> > delayed queues.
> > 
> > Ron - would you have any objections to this?
> 
> Yes, I do, for the same reason I've already said in this bug report.
> 
> Nobody talked to me about whether this package was ready for a m-a
> transition before creating this mess - or I'd have told them the same
> thing.  Please wait until we have a stable release out.
> 
> Right now, it's more important that developers be able to backport
> updates to it trivially, than for people to be able to run non-free
> stuff in sid.
> 
> If you want stable m-a, use stable.  Or use a chroot.
> 
> 
> This will be fixed once we have a formal stable release version out.
> 
>   Ron

Hi Ron!

As you will see from reading the bug report log:

(i) it affects *lots* of people using testing/unstable

(ii) the fix is almost entirely trivial, and orthogonal to any changes
in the opus package itself - it only affects the package build by
specifying that the libraries should be installed in locations
conforming to the multiarch specification, and it does this by
modifying only four files in the debian/ directory - it does not touch
anything outside of there

(iii) the fix should work fine in stable and backports as well -
stable already had support for multiarch

(iv) a significant number of people have used the patch with success

Please do reconsider applying this patch to the current not-yet-stable
release of opus!  It will also indicate if there are as-yet unforeseen
problems afoot which would otherwise bite if it were applied to the
as-yet-to-be-released stable version.

Thanks,

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 12:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 12:54:04 GMT) Full text and rfc822 format available.

Message #178 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Julian Gilbey <jdg@debian.org>, 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 22:20:22 +0930
On Sun, Sep 22, 2013 at 12:51:52PM +0100, Julian Gilbey wrote:
> On Sun, Sep 22, 2013 at 08:42:47PM +0930, Ron wrote:
> > On Sun, Sep 22, 2013 at 12:45:12AM +0100, Julian Gilbey wrote:
> > > 
> > > Ron - would you have any objections to this?
> > 
> > Yes, I do, for the same reason I've already said in this bug report.
> > 
> > Nobody talked to me about whether this package was ready for a m-a
> > transition before creating this mess - or I'd have told them the same
> > thing.  Please wait until we have a stable release out.
> > 
> > Right now, it's more important that developers be able to backport
> > updates to it trivially, than for people to be able to run non-free
> > stuff in sid.
> > 
> > If you want stable m-a, use stable.  Or use a chroot.
> > 
> > 
> > This will be fixed once we have a formal stable release version out.
> > 
> >   Ron
> 
> Hi Ron!
> 
> As you will see from reading the bug report log:
> 
> (i) it affects *lots* of people using testing/unstable

There are lots of m-a problems that affect people using testing/unstable.
This is unfortunate, but the basic wisdom so far is if you don't want
m-a trouble, stick to stable.  That's just reality on the ground for its
current implementation.

> (ii) the fix is almost entirely trivial, and orthogonal to any changes
> in the opus package itself - it only affects the package build by
> specifying that the libraries should be installed in locations
> conforming to the multiarch specification, and it does this by
> modifying only four files in the debian/ directory - it does not touch
> anything outside of there

Yes, as I mentioned already, I know exactly what the patch does and
even before there was a patch, what needs to be done :)

> (iii) the fix should work fine in stable and backports as well -
> stable already had support for multiarch

But squeeze does not, and that's still a supported release.  And lots
of people have contacted me about the backports they are doing for it
for things they are shipping.

> (iv) a significant number of people have used the patch with success
> 
> Please do reconsider applying this patch to the current not-yet-stable
> release of opus!  It will also indicate if there are as-yet unforeseen
> problems afoot which would otherwise bite if it were applied to the
> as-yet-to-be-released stable version.

As you said, it's orthogonal, so there's no reason to believe there will
be any problems on this front - and even if there are, there's plenty of
life left in sid before the next freeze to deal with those.


If you want to put a patched version in experimental, or in a private
archive somewhere, that's fine.  But I really want to keep the version
in testing/unstable trivially backportable until we're less worried
about important updates not getting pulled by other developers because
we made it harder for _them_.

I mean really, people who can't figure out how to fix this for themselves
really shouldn't be using m-a on sid, or sid, at all.  People who think
sending hundreds of insistent me-toos about transition issues in a
development release is the way to fix things ought to have a good think
about what this word 'unstable' means and how software development works.

People who say "Why wasn't this fixed during the wheezy freeze!!!" in a
confused frenzy doubly so ...


I'm sorry this is painful.  I understand that.  But I didn't cause the
pain, and I don't think that transferring it to real software developers
in favour of people with unrealistic expectations is a very good plan.
People who can't fix transition issues in sid for themselves just
shouldn't be using it.  This is why we make stable releases :)

The important thing here is to minimise the work for the people actually
doing work.  The people who expect others to do it for them will just
have to be patient, or smarter about what release they use, or both.


If people want to hurry this up, simple nagging is not the way to do it.
Get involved upstream, help with testing, help with getting the next
release ready to release.  That's how open software development works.

  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 19:03:05 GMT) Full text and rfc822 format available.

Message #183 received at 674467@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Ron <ron@debian.org>
Cc: 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sun, 22 Sep 2013 19:59:44 +0100
On Sun, Sep 22, 2013 at 10:20:22PM +0930, Ron wrote:
> > (iii) the fix should work fine in stable and backports as well -
> > stable already had support for multiarch
> 
> But squeeze does not, and that's still a supported release.  And lots
> of people have contacted me about the backports they are doing for it
> for things they are shipping.

Ah, I hadn't quite appreciated that.

> > (iv) a significant number of people have used the patch with success
> > 
> > Please do reconsider applying this patch to the current not-yet-stable
> > release of opus!  It will also indicate if there are as-yet unforeseen
> > problems afoot which would otherwise bite if it were applied to the
> > as-yet-to-be-released stable version.
> 
> As you said, it's orthogonal, so there's no reason to believe there will
> be any problems on this front - and even if there are, there's plenty of
> life left in sid before the next freeze to deal with those.
> 
> If you want to put a patched version in experimental, or in a private
> archive somewhere, that's fine.  But I really want to keep the version
> in testing/unstable trivially backportable until we're less worried
> about important updates not getting pulled by other developers because
> we made it harder for _them_.

I guess that anyone who can figure out how to download it from
experimental can figure out how to rebuild it for themselves ;-)

But I might do this as a service to those who need it to be built for
them.

I am confused, though, how the wheezy problem will be overcome once
there's a stable version of opus released, but I guess you'll figure
that one out.

Thanks,

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 22 Sep 2013 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 22 Sep 2013 22:06:04 GMT) Full text and rfc822 format available.

Message #188 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Julian Gilbey <jdg@debian.org>
Cc: 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Mon, 23 Sep 2013 07:24:31 +0930
On Sun, Sep 22, 2013 at 07:59:44PM +0100, Julian Gilbey wrote:
> I guess that anyone who can figure out how to download it from
> experimental can figure out how to rebuild it for themselves ;-)

Yeah, and every time I upload something new to sid it will get removed
and have to be redone, and it will possibly encourage more people who
shouldn't be using sid and/or sid+m-a, to keep using it, etc. etc ...

Which is a good part of the reason I haven't done this double work either.

If the me-too storm proved anything at all, it was that enough people
already didn't get it without doing even more work to breed more of them.
If it wasn't for that I might have considered doing this more seriously.

It's not that hard to fix locally for anyone who cares enough to not just
use the simple and robust solution of a chroot, which doesn't have this
problem at all.


> I am confused, though, how the wheezy problem will be overcome once
> there's a stable version of opus released, but I guess you'll figure
> that one out.

It's kind of an attrition game at this stage, every week that goes by
hopefully more of the squeeze users will shift on to wheezy, and once
we have a formal stable release, further updates will be less urgent
unless they are security related or so.

At that point I'll assess whether it is worth doing two versions for
anyone who really needs a backport but can't figure out how to undo
this patch for themselves.  But if all goes well, by the time there
is some urgent update to stable opus, squeeze will also be formally
EOL too.

There's no one answer that wins for everyone here, so I'm basically
juggling harm minimisation in what seems like the most reasonable
way to minimise the work for the busiest people who do have fairly
reasonable expectations to meet.  But that is a moving equilibrium,
which eventually will tip.  It's just moving painfully slowly still :)
As these things often do.


  Cheers,
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 26 Sep 2013 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Lebbing <peter@digitalbrains.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 26 Sep 2013 11:12:04 GMT) Full text and rfc822 format available.

Message #193 received at 674467@bugs.debian.org (full text, mbox):

From: Peter Lebbing <peter@digitalbrains.com>
To: 674467@bugs.debian.org
Subject: Re: opus: Please add multiarch support.
Date: Thu, 26 Sep 2013 13:10:09 +0200
Ron wrote:
> I mean really, people who can't figure out how to fix this for themselves 
> really shouldn't be using m-a on sid, or sid, at all. People who think 
> sending hundreds of *insistent me-toos* about transition issues in a 
> development release is the way to fix things *ought to have a good think* 
> about what this word *'unstable'* means and how software development works.

> [...] to *real software developers* in favour of people with unrealistic
> expectations [...]

> [...] the people *actually doing work*.

> The people who expect others to do it for them will just have to be patient,
> or *smarter* about what release they use, or both.

> [...]  it will possibly encourage more people who *shouldn't be using sid* 
> and/or sid+m-a, to keep using it, etc. etc ...
> 
> Which is a good part of the reason I haven't done this double work either.
> 
> If the me-too storm proved anything at all, it was that enough people already
> *didn't get it* without doing even more work to *breed more of them*. If it
> wasn't for that I might have considered doing this more seriously.

> [..] people who do have fairly *reasonable expectations* to meet.

Emphasis is mine.

Please don't be disrespectful of users running jessie/testing and... testing it
for bugs, and reporting them.

About jessie: Of the people including such information, I saw one who appeared
to run sid, the other 5 seemed to run jessie. So you're using a hyperbole
stating all these people shouldn't be running sid, and making this
better-than-thou remark that people should know the meaning of the word 'unstable'.

Let me remind you of article 4 of the Debian Social Contract:

> Our priorities are our users and free software
> 
> We will be guided by *the needs of our users* and the free software 
> community. We will place their interests first in our priorities. We will 
> support the needs of our users for operation in many different kinds of 
> computing environments. We will *not object to non-free works* that are 
> intended to be used on Debian systems, or attempt to charge a fee to people 
> who create or use such works. We will allow others to create distributions 
> containing both the Debian system and other works, without any fee from us. 
> In furtherance of these goals, we will provide an integrated system of 
> high-quality materials with no legal restrictions that would prevent such 
> uses of the system.

Again, emphasis mine.

The bug was reported in May 2012. In July 2013, *more than a year later*, you
wrote a very short reply why you were not acting, but not taking the effort to
really explain it any further. The reason remains rather unclear at that moment.
Other than that, you pretty much said nothing until now. And now you're
disrespectful of the people who keep trying to get this under your attention?
They're nagging, when they keep raising the issue because the maintainer simply
does not respond to the bug report? You might have done more if it weren't that
you're encouraging these annoying Debian users?

I understand you're looking at this from a different perspective than I am, but
I find your condescending tone very inappropriate. Especially the breeding
remark; users are not cattle, and *you* are most definitely not the farmer
owning said cattle.

I also think the remark about "people actually doing work" in particular is
offensive and highly unwanted.

Peter.

-- 
I use the GNU Privacy Guard (GnuPG) in combination with Enigmail.
You can send me encrypted mail if you want some privacy.
My key is available at <http://digitalbrains.com/2012/openpgp-key-peter>



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 28 Sep 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to michele mazza <michele.mazza@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 28 Sep 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #198 received at 674467@bugs.debian.org (full text, mbox):

From: michele mazza <michele.mazza@gmail.com>
To: 674467@bugs.debian.org
Subject: Re: Bug#674467: opus: Please add multiarch support.
Date: Sat, 28 Sep 2013 12:24:06 +0200
I am just a Debian *testing* user, and what I get from Ron's statements is that using Debian on the desktop is not "actually doing work", as it may involve running non-free software.
Yes, there is stable, but it's generally too obsolete for that purpose.
In the end this gives the impression that running Debian on a desktop is not a good idea, which may or may not be a good thing.

I admit my ignorance, but I don't understand why it's more important for a package to be backported to an obsolete release than to be consistent with its own repository, and why these two needs are not separate .
As this seems to be about educating Debian users, I would really appreciate a pointer to any documentation that would clarify the process.

Thanks
Michele



Information forwarded to debian-bugs-dist@lists.debian.org, bogons@tamu.edu, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 05 Oct 2013 14:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Haley <bogons@tamu.edu>:
Extra info received and forwarded to list. Copy sent to bogons@tamu.edu, Ron Lee <ron@debian.org>. (Sat, 05 Oct 2013 14:39:18 GMT) Full text and rfc822 format available.

Message #203 received at 674467@bugs.debian.org (full text, mbox):

From: Russell Haley <bogons@tamu.edu>
To: Debian Bug Tracking System <674467@bugs.debian.org>
Subject: Re: opus: Please add multiarch support.
Date: Sat, 05 Oct 2013 09:29:25 -0500
Package: libopus0
Version: 1.1~beta-3
Followup-For: Bug #674467

Non-free software is not the only reason to use multiarch.  I only have 4 GiB
of memory.  I can't afford to be filling it up with zeros.  As for the
backports, I don't think it's reasonable to sacrifice desktop users to please
people trying to run bleeding-edge audio codecs on systems where the rest of
the software is 3 years out of date.



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.11.0lily-custom-26 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libopus0 depends on:
ii  libc6  2.17-93

libopus0 recommends no packages.

Versions of packages libopus0 suggests:
pn  opus-tools  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sat, 16 Nov 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "kiri101 ." <keiron.davies@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 16 Nov 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #208 received at 674467@bugs.debian.org (full text, mbox):

From: "kiri101 ." <keiron.davies@googlemail.com>
To: 674467@bugs.debian.org
Subject: Please add multiarch support to this package.
Date: Sat, 16 Nov 2013 08:08:16 +0000
[Message part 1 (text/plain, inline)]
I love Debian but require newer releases of many packages than those found
in the Wheezy repos, so I track Jessie and use some apt pinning to acquire
certain packages from Sid and Experimental, such as graphics drivers. One
package I cannot do this for, however, is WINE. As such, I compile WINE
from source.

I moved over to a 64-bit machine a while ago and tried to compile 32-bit
WINE for the 64-bit architecture only to find that I could not install both
the 64-bit and requisite 32-bit packages because of this conflict. I
appreciate that making this package multiarch and maintaining it as such is
extra work but I would be incredibly grateful if you could do so.

Yours faithfully,
Keiron Davies
[Message part 2 (text/html, inline)]

Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Sun, 17 Nov 2013 10:39:05 GMT) Full text and rfc822 format available.

Notification sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug acknowledged by developer. (Sun, 17 Nov 2013 10:39:05 GMT) Full text and rfc822 format available.

Message #213 received at 674467-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 674467-close@bugs.debian.org
Subject: Bug#674467: fixed in opus 1.1~beta-3.1
Date: Sun, 17 Nov 2013 10:36:18 +0000
Source: opus
Source-Version: 1.1~beta-3.1

We believe that the bug you reported is fixed in the latest version of
opus, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674467@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated opus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 17 Nov 2013 11:13:39 +0100
Source: opus
Binary: libopus0 libopus-dev libopus-dbg libopus-doc
Architecture: source i386 all
Version: 1.1~beta-3.1
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 libopus-dbg - debugging symbols for libopus
 libopus-dev - Opus codec library development files
 libopus-doc - libopus API documentation
 libopus0   - Opus codec runtime library
Closes: 674467
Changes: 
 opus (1.1~beta-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Enable Multiarch (Closes: #674467).
Checksums-Sha1: 
 4f7fb5ffe12ec496d7269f1ee10f58766025c095 1924 opus_1.1~beta-3.1.dsc
 e3fd8d6173816d95f8336ab4b67387db044d9edf 6687 opus_1.1~beta-3.1.diff.gz
 a2ec8ecab439ba0efe78474ec3206cb33b7a2a95 141584 libopus0_1.1~beta-3.1_i386.deb
 0989c0f109b5643c550ea39b0f3bc28eb3cdb0f0 174558 libopus-dev_1.1~beta-3.1_i386.deb
 79b81759352c223e7df14a3dea5f594a9ad8f9b5 266472 libopus-dbg_1.1~beta-3.1_i386.deb
 967dff01cee32d01589e89488cc72b6e4703e58c 113708 libopus-doc_1.1~beta-3.1_all.deb
Checksums-Sha256: 
 76b9bcff30a2d8d35cbe6f465daae40476efebb0062782cc105277476146fa18 1924 opus_1.1~beta-3.1.dsc
 72f522ce23678e6a95576421bc46abdda437be6c6ca9f6152e45a34bd8a24b3c 6687 opus_1.1~beta-3.1.diff.gz
 0cfea966c7db7d394398e89db0d5ff6d585decc68a8d2fd33e08d2c9608fe35a 141584 libopus0_1.1~beta-3.1_i386.deb
 6fdeb526087b57bbdade9909702559b724d8f94f4cf840e38d2893f2ab2f3af3 174558 libopus-dev_1.1~beta-3.1_i386.deb
 c334bbf0eef3ed3b925f8201cbde3e31ec7524cb40fefae290dbbc88e054e9a3 266472 libopus-dbg_1.1~beta-3.1_i386.deb
 e145d684dc102741564559f32d1da9606633bc469cdf40e625caf5cb93048a08 113708 libopus-doc_1.1~beta-3.1_all.deb
Files: 
 d8379e9498592a2f18b58a621fc0e9ab 1924 sound optional opus_1.1~beta-3.1.dsc
 714a30f82649fd82f3857ea83b436751 6687 sound optional opus_1.1~beta-3.1.diff.gz
 640bb038a0605381de9bee243abae4b7 141584 libs optional libopus0_1.1~beta-3.1_i386.deb
 aeb1ce6e2780683b2c3f69194d5344ea 174558 libdevel optional libopus-dev_1.1~beta-3.1_i386.deb
 fa16aff83fb5f88d997f6c8c8e1fa5fd 266472 debug extra libopus-dbg_1.1~beta-3.1_i386.deb
 51ee4532ff90ad88a135702b1a024d05 113708 doc optional libopus-doc_1.1~beta-3.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJSiJggAAoJEG6k0jEaLSaNLUwP/AhZ878pOAj3nnCG4FMVOFMB
cE9WyclzlCY9Dwqaqvtuf5JRyrMNscCHT2Pe741pzce0HoSHBhaqE+bDV/RznCwH
gjZhli43tAlFIGLwQifg0EIYIF7Nj1nljMGx2b/iH94vJnoOgl49KgIUiQWfzrVC
srnpdvPlsuCaj4Cp6jX0VBZ3MRLKxoPFa14MH+VW82IQas/6zygoRnUdMndPxEl4
8f0sPk1HLlCEYw58BwaGM86MgbUj112irggCs9q0GzVRaXZurBf2lJ7IlTh1TOMQ
sAT2k28qEDNvG2CD2dGWCcKA+TR9VsKsALTqOgIcoWCLNBfZTTLOPkjXPJeCMRkK
HtrW8RVhtSTg7COBFmzybhrUFu4h6jX7wY4izz/LK+0mrRoMta+jyBW/spmwPrWg
k1wPaAvWvIdsX8+cwaM0UfPzCQKecAVm7X4aSf0DA9KOcyF5lpKiHoOrD6xTKLNU
ub2qWnpdpWgYv3drPLRCAFAPthZoPGNP/kgmbWAy/ra2mClL7LU6AQPxD8C7RrhX
1JaVfDGgyaTsUqNJb9EaYrgF5Zh4K6bNNcEf8IxAInZsx86RLUXeCwvpg4YXu0o1
N624oGL4+yR8lavSxFaAo7b9kHVZtkJKVt9hTXqBCQnvxacQTdzoj0J+y6LIZd28
GYOc+uMS3bpyWDAPZepy
=KLS/
-----END PGP SIGNATURE-----




Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Sun, 17 Nov 2013 10:39:06 GMT) Full text and rfc822 format available.

Notification sent to barabba <barabba@mmbarabba.it>:
Bug acknowledged by developer. (Sun, 17 Nov 2013 10:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 17 Nov 2013 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to cameron <camerontnorman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 17 Nov 2013 21:18:05 GMT) Full text and rfc822 format available.

Message #222 received at 674467@bugs.debian.org (full text, mbox):

From: cameron <camerontnorman@gmail.com>
To: 674467@bugs.debian.org
Subject: RE: opus: Please add multiarch support.
Date: Sun, 17 Nov 2013 21:07:27 -0008
[Message part 1 (text/plain, inline)]
Perhaps one of you affected by this bug could commit to helping out the 
squeeze backporters with making it single arch when backporting. Doing 
so would generally keep the effort required to backport low, and people 
using Wheezy, Jessie, and Sid would get multiarch support.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Sun, 17 Nov 2013 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 17 Nov 2013 21:27:04 GMT) Full text and rfc822 format available.

Message #227 received at 674467@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 674467@bugs.debian.org
Subject: (fwd) Accepted opus 1.1~beta-4 (source amd64 all)
Date: Sun, 17 Nov 2013 22:24:57 +0100
Control: reopen -1
Control: found -1 1.1~beta-4.

I do not know how the NMU was bogus, but this bug was reopened with
the upload of version 1.1~beta-4:

----- Forwarded message from Ron Lee <ron@debian.org> -----

Date: Sun, 17 Nov 2013 21:19:20 +0000
From: Ron Lee <ron@debian.org>
To: debian-devel-changes@lists.debian.org
Subject: Accepted opus 1.1~beta-4 (source amd64 all)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Nov 2013 06:26:21 +1030
Source: opus
Binary: libopus0 libopus-dev libopus-dbg libopus-doc
Architecture: source amd64 all
Version: 1.1~beta-4
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Ron Lee <ron@debian.org>
Description: 
 libopus-dbg - debugging symbols for libopus
 libopus-dev - Opus codec library development files
 libopus-doc - libopus API documentation
 libopus0   - Opus codec runtime library
Changes: 
 opus (1.1~beta-4) unstable; urgency=low
 .
   * Revert bogus NMU.
Checksums-Sha1: 
 e2a7d7e3ff73e6e33c7bfb679cb5c9aa353d14aa 1269 opus_1.1~beta-4.dsc
 4ee912679a54d695205c57d868d89344e77502db 6617 opus_1.1~beta-4.diff.gz
 a56abc2478f9f435fb695eaf91477855bd090c5a 151100 libopus0_1.1~beta-4_amd64.deb
 719a721df2686ecea1723aac394ffb20d696f560 189320 libopus-dev_1.1~beta-4_amd64.deb
 f999e3eba486b8265e08c8e3cb80fc9ab9e8d74f 290486 libopus-dbg_1.1~beta-4_amd64.deb
 ec0f484840d91e0e946b1689e70bc290642b9be1 115128 libopus-doc_1.1~beta-4_all.deb
Checksums-Sha256: 
 ae7e395bc461d4d3a0106d18bacae4f48a44e452a234b965cebe6ef51a075251 1269 opus_1.1~beta-4.dsc
 5403725b3113b328d06f793e6fba0ccf3faa91affa707f5e27628ae72108c31b 6617 opus_1.1~beta-4.diff.gz
 8e5bc0ea12e9b9e5c8d550140cf4a07ee0e619ec092cdf98913cac971da45416 151100 libopus0_1.1~beta-4_amd64.deb
 d50945c6156df69e1a5c6dba9d8f126084ed9b0a0eba50af7b552cd0be044ad4 189320 libopus-dev_1.1~beta-4_amd64.deb
 89b979142cceba96a0b4f0de617c04bed17050ae674ab37b0fbb288f52436f35 290486 libopus-dbg_1.1~beta-4_amd64.deb
 d8126dd892fe3f7552859764f9bf5f762a29251657bf3f02312c912527e851e1 115128 libopus-doc_1.1~beta-4_all.deb
Files: 
 04824555eaa8f499bbc39fc7116efe05 1269 sound optional opus_1.1~beta-4.dsc
 8cd906cb0c800823a33167c522559672 6617 sound optional opus_1.1~beta-4.diff.gz
 de2d05a53731a76a5a60fd4eaf9bf3d6 151100 libs optional libopus0_1.1~beta-4_amd64.deb
 ca113f6a356150cdf36fd351456b7377 189320 libdevel optional libopus-dev_1.1~beta-4_amd64.deb
 c5761a67b9a0f876aad27feb34205311 290486 debug extra libopus-dbg_1.1~beta-4_amd64.deb
 0c967788c1665ef24fa050b3881fc28d 115128 doc optional libopus-doc_1.1~beta-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFSiSJSp4BCHGgCHOQRAodpAJ4riGQchOA/hlMcjrf2CYZiNbHuiQCeP0zi
F7HanHwq8+c/x38/1aIRKiY=
=mF66
-----END PGP SIGNATURE-----


-- 
To UNSUBSCRIBE, email to debian-devel-changes-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/E1Vi9kW-0008BN-VN@franck.debian.org


----- End forwarded message -----



Bug reopened Request was from Petter Reinholdtsen <pere@hungry.com> to 674467-submit@bugs.debian.org. (Sun, 17 Nov 2013 21:27:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions opus/1.1~beta-3.1. Request was from Petter Reinholdtsen <pere@hungry.com> to 674467-submit@bugs.debian.org. (Sun, 17 Nov 2013 21:27:05 GMT) Full text and rfc822 format available.

Marked as found in versions opus/1.1~beta-4.. Request was from Petter Reinholdtsen <pere@hungry.com> to 674467-submit@bugs.debian.org. (Sun, 17 Nov 2013 21:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Mon, 18 Nov 2013 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 18 Nov 2013 10:33:04 GMT) Full text and rfc822 format available.

Message #238 received at 674467@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: Petter Reinholdtsen <pere@hungry.com>, 674467@bugs.debian.org
Subject: Re: Bug#674467: (fwd) Accepted opus 1.1~beta-4 (source amd64 all)
Date: Mon, 18 Nov 2013 05:30:22 -0500
Petter Reinholdtsen <pere@hungry.com> writes:

> I do not know how the NMU was bogus, but this bug was reopened with
> the upload of version 1.1~beta-4:

The IRC conversation below might shed some light on this.
(It has some extraneous and/or embarrassing messages filtered out.)

TL;DR: Ron would be happy to entertain patches that enable multiarch on
supporting releases if they:
  * still build working packages for Squeeze
  * don't replace the build system
(Note: You're supposed to TEST the Squeeze packages.)

[talking about how ron wants to keep it building on squeeze pending a
new upstream release.]
<ron> that's the other option I haven't actually looked at, a patch that
      does work for both.
<ron> again partly because I figured we'd have a release before now.
<sgran> markos: tell you what, why don't you come up with a patch based on
      http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=81;filename=opus-multiarch.diff;att=1;bug=674467
      that only conditionally enables multiarch
<sgran> that seems to satisfy ron's reservations about making backports
      hard
<ron> what sgran said.
<sgran> then this can probably be settled instead of having people jump
      up and down about it
<sgran> if ron still doesn't want to upload at that point, then I think
      it could be argued fairly convincingly that he's being
      obstructionist and you can get upset and go further
<sgran> but I assume he would be happy to proceed with an upload, given
      a patch that worked
<ron> we have a hard enough time getting people not to use old codec
      versions and then complain they Aren't As Good As X.  I don't want
      to make that problem any worse than it already is.
<ron> yes, if someone tests a patch to do that, that covers what I
      consider the current blocker.

-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 19 Nov 2013 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerardo Malazdrewicz <gerardo@malazdrewicz.com.ar>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 19 Nov 2013 07:03:04 GMT) Full text and rfc822 format available.

Message #243 received at 674467@bugs.debian.org (full text, mbox):

From: Gerardo Malazdrewicz <gerardo@malazdrewicz.com.ar>
To: 674467@bugs.debian.org
Subject: [PATCH] Multiarch where available
Date: Tue, 19 Nov 2013 02:59:54 -0400
[Message part 1 (text/plain, inline)]
Ron:
       Please consider this patch, or a polished version of it makefiles
are not my forte)
       It generates, for me, correct packages in both squeeze and
experimental.

       Regards,
             Gerardo
[Message part 2 (text/html, inline)]
[opus-1.1-squeeze.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 19 Nov 2013 11:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 19 Nov 2013 11:33:11 GMT) Full text and rfc822 format available.

Message #248 received at 674467@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Gerardo Malazdrewicz <gerardo@malazdrewicz.com.ar>, 674467@bugs.debian.org
Subject: Re: Bug#674467: [PATCH] Multiarch where available
Date: Tue, 19 Nov 2013 21:54:16 +1030
Hi Gerardo,

On Tue, Nov 19, 2013 at 02:59:54AM -0400, Gerardo Malazdrewicz wrote:
> Ron:
>        Please consider this patch, or a polished version of it makefiles
> are not my forte)
>        It generates, for me, correct packages in both squeeze and
> experimental.

Thanks for taking a crack at this.  I'm pretty sure we can do it with a
much smaller patch though :)  And there seems to be a few things that
all of the patches submitted so far have missed too.

I've got something roughed out here, it just needs a bunch of actual
testing now to see that something unexpected wasn't broken and then
I'll push it out.

  Cheers,
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Wed, 20 Nov 2013 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to roman149@gmx.com:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 20 Nov 2013 23:42:04 GMT) Full text and rfc822 format available.

Message #253 received at 674467@bugs.debian.org (full text, mbox):

From: roman149@gmx.com
To: 674467@bugs.debian.org
Subject: jdg@debian.org
Date: Wed, 20 Nov 2013 18:39:16 -0500
Dear Julian,

Could you please upload the patched libopus packages into experimental, 
or wherever else in the Internet where I can download it?

Thanks a lot,
Roman

>> If you want to put a patched version in experimental, or in a private
>> archive somewhere, that's fine.  But I really want to keep the version
>> in testing/unstable trivially backportable until we're less worried
>> about important updates not getting pulled by other developers because
>> we made it harder for _them_.

> I guess that anyone who can figure out how to download it from
> experimental can figure out how to rebuild it for themselves ;-)

> But I might do this as a service to those who need it to be built for
> them.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 21 Nov 2013 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 21 Nov 2013 14:33:05 GMT) Full text and rfc822 format available.

Message #258 received at 674467@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: roman149@gmx.com, 674467@bugs.debian.org
Subject: Re: jdg@debian.org
Date: Thu, 21 Nov 2013 15:29:46 +0100
Hi,

I patched the packages with the patch from Pino above, and uploaded them
to <http://www.ralfj.de/upload/opus/>.

Kind regards
Ralf

On 21/11/13 00:39, roman149@gmx.com wrote:
> Dear Julian,
> 
> Could you please upload the patched libopus packages into experimental, 
> or wherever else in the Internet where I can download it?
> 
> Thanks a lot,
> Roman
> 
>>> If you want to put a patched version in experimental, or in a private
>>> archive somewhere, that's fine.  But I really want to keep the version
>>> in testing/unstable trivially backportable until we're less worried
>>> about important updates not getting pulled by other developers because
>>> we made it harder for _them_.
> 
>> I guess that anyone who can figure out how to download it from
>> experimental can figure out how to rebuild it for themselves ;-)
> 
>> But I might do this as a service to those who need it to be built for
>> them.
> 
> 
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Thu, 21 Nov 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to roman149@gmx.com:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 21 Nov 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #263 received at 674467@bugs.debian.org (full text, mbox):

From: roman149@gmx.com
To: "Ralf Jung" <post@ralfj.de>
Cc: 674467@bugs.debian.org
Subject: Re: patched packages
Date: Thu, 21 Nov 2013 13:36:29 -0500
Thanks Ralf,
It works like a charm.
Nice to know that the Debian community stands in where the Debian oficials don't want to help.

Thanks again,
Roman

> I patched the packages with the patch from Pino above, and uploaded them
> to <http://www.ralfj.de/upload/opus/>.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#674467; Package src:opus. (Tue, 14 Jan 2014 20:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 14 Jan 2014 20:57:10 GMT) Full text and rfc822 format available.

Message #268 received at 674467@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: roman149@gmx.com, 674467@bugs.debian.org
Cc: post@ralfj.de
Subject: Re: Bug#674467: patched packages
Date: Tue, 14 Jan 2014 15:55:47 -0500
Package: opus
Version: 1.1-1

It looks like Ron forgot to mention fixing this bug in the changelog,
since the package sure looks fixed to me.



Message sent on to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug#674467. (Tue, 14 Jan 2014 21:39:13 GMT) Full text and rfc822 format available.

Message #271 received at 674467-submitter@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: control@bugs.debian.org
Cc: 674467-submitter@bugs.debian.org
Subject: closing 674467
Date: Tue, 14 Jan 2014 16:33:58 -0500
close 674467 opus/1.1-1
thanks

I screwed up the syntax in my message to the bug, so lets try this
again ...

-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!




Message sent on to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug#674467. (Wed, 15 Jan 2014 03:21:05 GMT) Full text and rfc822 format available.

Message #274 received at 674467-submitter@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: control@bugs.debian.org
Cc: 674467-submitter@bugs.debian.org
Subject: closing 674467
Date: Tue, 14 Jan 2014 22:15:20 -0500
done 674467 opus/1.1-1
thanks




Marked as fixed in versions opus/1.1-1. Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Wed, 15 Jan 2014 03:33:09 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Wed, 15 Jan 2014 03:33:10 GMT) Full text and rfc822 format available.

Notification sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug acknowledged by developer. (Wed, 15 Jan 2014 03:33:11 GMT) Full text and rfc822 format available.

Message sent on to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug#674467. (Wed, 15 Jan 2014 03:33:15 GMT) Full text and rfc822 format available.

Message #283 received at 674467-submitter@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: control@bugs.debian.org
Cc: 674467-submitter@bugs.debian.org
Subject: closing 674467
Date: Tue, 14 Jan 2014 22:31:04 -0500
close 674467 1.1-1
thanks
-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!




Reply sent to Samuel Bronson <naesten@gmail.com>:
You have taken responsibility. (Wed, 15 Jan 2014 03:39:04 GMT) Full text and rfc822 format available.

Notification sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Bug acknowledged by developer. (Wed, 15 Jan 2014 03:39:04 GMT) Full text and rfc822 format available.

Message #288 received at 674467-done@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 674467-done@bugs.debian.org
Subject: M-A for opus: Close, dammit!
Date: Tue, 14 Jan 2014 22:37:43 -0500
Version: 1.1-1

Gah ... I suck at closing bugs ...

Sorry ron :-(.



Reply sent to Samuel Bronson <naesten@gmail.com>:
You have taken responsibility. (Wed, 15 Jan 2014 03:39:05 GMT) Full text and rfc822 format available.

Notification sent to barabba <barabba@mmbarabba.it>:
Bug acknowledged by developer. (Wed, 15 Jan 2014 03:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Feb 2014 07:25:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:12:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.